 Front-End Editor (Source Code Mode - New)

Front-End Editor (Source Code Mode - New)

Purpose

The new Front-End Editor is used to replace the old Front-End Editor.

It has a modern user interface and is completely customizable to programmers’ needs.

The new editor is integrated into transactions such as the ABAP Workbench (transaction SE80), the Function Builder (transaction SE37), the Report Builder (transaction SE38), the Class Builder (transaction SE24). It extends the old editor with features of a modern programming tool.

The Front-End Editor integrates all modern code editing features in one bundle. It is a universal programming tool and works with most programming languages with defined syntax schema, such as ABAP, eCATT, BSP and so on. It is fast, flexible and easy to use.

The Front-End Editor is available with SAP GUI for Windows 6.40 Patch level 10 or higher. However, to have the editor integrated into the ABAP Workbench and to use all related transactions, you need the appropriate SAP system version. The first version supporting the new editor is SAP NetWeaver 2004s (SAP_BASIS 700, SAP Web Application Server 7.0).

See also:

Features


 Starting the Front-End Editor

Starting the Front-End Editor

Use

You can start the Front-End Editor by following the procedure below.

Prerequisites

You have entered an appropriate SAP system through the SAP logon. You have started one of the following transaction codes: SE80, SE38, SE24 or SE37 to access the ABAP Workbench.

Procedure

...

1. From the main menu, choose Utilities ® Settings.

User Specific Settings screen appears as shown in the figure:

User Specific Settings

2. On the User Specific Settings screen, choose the ABAP Editor tab page if another tab page is displayed.

3. Select the Front-End Editor(New) radio button.

4. Choose [image] with the quick info text Transfer (Enter) to execute the transaction.

Result

The new Front-End Editor opens and you can start working with it.


 Main Screen

Main Screen

Definition

This is an overall view that helps you become familiar with the specific screen of the Front-End Editor.

The following figure introduces you to the editor’s main screen:

Front-End Editor Main Screen

Structure

In the figure above you can see the following areas of the editor:

· Left margin – beige area on the left side of the screen

· Bookmark for fast navigation – a blue flag with a number next to it

· Breakpoint – red “stop” sign behind a little blue screen

· Line numbers margin – area next to left margin

· Sign for changes – a red triangle used for change notice

· Collapse/expand block point

· Status bar – lower area where you can see your current status

· Settings icon – quick link to function settings

· Code hint tooltip – used to suggest code templates

· Scrolling tooltip – provides information about the current scrolling position

· Scroll bar

· Split window


 Main Features of the Front-End Editor

Main Features of the Front-End Editor

Use

The Front-End Editor provides the ABAP programmer with a fully-functional development environment.

Features

It supports all the modern technologies of programming, such as functionality for language syntax highlighting, outlining language structures, real-time code hints, and auto-completion of language structures and elements.

The Front-End Editor includes a functional shell for creating and executing user-defined source templates, providing editor variables and interactive elements that speed up development, thereby reducing the amount of "routine coding.

It supports extensive formatting functions and increases the interactivity of programming in real time, greatly expanding the functions provided by the old Front-End Editor and the Back-End Editor; for example: automatic code indentation, smart tabs, automatic brackets, automatic case and mistyping correction.

The Front-End Editor supports color printing with print preview, corresponding WYSIWYG standards that facilitate better documentation creation, and the understanding of complex program listings.


 Display Features

Display Features

The Front-End Editor supports various display settings:

· The changed lines indicator shows you which parts of code you have changed during the current session and which changed parts were saved. It also simplifies the changing of code known to be faulty and of code created by someone else.

· Line numbers help to navigate through coding and are useful in word wrap mode to notice wrapped lines.

· Protected areas used for defining part of the document as read-only; displays it using a read-only color and an additional symbol in the changed lines margin.

· Current line highlighting makes it easy to find the current cursor position in the document.

· White space shows you hidden symbols such as spaces, tabs, and line breaks.

· You can hide or display indicators, changed lines, numbers, and outlining margins depending on the amount of horizontal space available.

· Vertical and horizontal scrollbars can be hidden or displayed.

· Page width indicator - you can use the page width to check the length of your lines and to see if they are inside a defined range.

· Structure separators show you where high-level structures end (function, subroutine, class, method and so on), separating them from one another and facilitating navigation.

Visualization Possibilities in the Front-End Editor


 Context Menu

Context Menu

Definition

A menu that appears when you click with the secondary mouse button in the graphical user interface, offering a list of options that vary depending on the context of the action and the area selected. In the Front-End Editor there are two kinds of context menus:

...that has the following list

1. Indicator margin context menu

It can be seen in the left hand margin. You can open the context menu by pointing the mouse arrow at the Indicator margin and clicking the secondary mouse button.

You see the following screen as shown in the figure below:

Indicator Margin Context Menu

2. Inside screen context menu can be seen in the rest of the editor screen.

You can open the context menu by pointing the mouse arrow at the main screen of the editor and clicking the secondary mouse button.

You see the following screen as shown in the figure below:

Inside Screen Context Menu


 Active Status Bar

Active Status Bar

Panels in the active status bar indicate the status of the Caps Lock, Num Lock, and Overwrite modes, as shown in the figure below. You can change these modes by double-clicking on them or by using the keyboard. Double-clicking on the position panel calls the "Go to Line" dialog. Double-clicking on the panel with the document name copies it to the clipboard.

Active Status Bar with Indicators, Active Panels, and User Settings Button


 Cursor and Caret Styles

Cursor and Caret Styles

The Front-End Editor provides different cursor and caret styles for overwriting, inserting modes, interactive searching, and block selection, which make it easy to indicate different modes of operation/execution.


 Window Splitter

Window Splitter

The window splitter helps you when working with different parts of the document simultaneously.

This is shown in the figure below.

To set the editor in window splitter mode, double-click with the main mouse button on the splitter line that is situated at the top of the vertical scrollbar. You can also drag it down to make it appear in full mode. You can close the splitter line by double-clicking with the main mouse button on the splitter line.

You can see the following screen as shown in the figure below:

Horizontal Splitting


 Breakpoint

Breakpoint

You can add a new breakpoint by clicking in the Indicator margin, next to the line where you want the breakpoint to be. A red dot appears, indicating the position of the breakpoint as shown in the figure below:

Breakpoint

You can remove a breakpoint from the code by clicking on it.


 Editing Features

Editing Features

The Front-End Editor has the following features:

· Comment/uncomment lines

Comment allows you to apply a comment from a selected block.

Uncomment removes the comment from a selected block.

You can set these features by clicking with the secondary mouse button in the code and choosing Format ® Comment Lines or Uncomment lines.

You can also set them using CTRL+ \ for Comment and CTRL+SHIFT+ \ for Uncomment.

· Indent/un-indent lines

This feature allows you to indent lines in the code by a certain number of spaces.

You can increase or decrease line indent by clicking with the secondary mouse button in the code and choosing Format ® Increase Line Indent or Decrease Line Indent.

You can also increase the line indent by using TAB and decrease the line indent by using SHIFT+TAB.

· Case changing (upper/lower/capitalize/invert)

This feature allows you to switch between cases when you code.

You can switch between cases by clicking with the secondary mouse button in the code and choosing Format ® Change Case.

You can also change cases using:

¡ CTRL+L for Lower Case

¡ CTRL+U for Upper Case

¡ CTRL+Y for Capitalize

¡ CTRL+T for Sentensize

¡ CTRL+K for Invert Case

· Sort lines

This feature allows you to select lines in your source and sort them alphabetically.

You can set it by clicking with the secondary mouse button in the code and choosing Format ® Sort Lines.

· Join lines

This feature allows you to merge the text of two or more lines.

You can set it by clicking with the secondary mouse button in the code and choosing Format ® Join Lines.

· Insert date/time in different formats

This feature allows you to insert date and times in the code.

You can set it by clicking with the secondary mouse button in the code and choosing More ® Insert Special.

· Copy append/cut append to clipboard

This feature allows you to copy and cut text from the code and insert it in the clipboard.

You can set Copy-Append to Clipboard by clicking with the secondary mouse button in the code and choosing More ® Copy-Append To Clipboard.

You can set Cut-Append to Clipboard by clicking with the secondary mouse button in the code and choosing More ® Cut-Append To Clipboard.

Context Menu for Editing Selection

Context Menu for Formatting

· Drag and drop editing

The Front-End Editor supports drag and drop editing, providing another way of intuitive copying and pasting.

You can select an item in the code using the mouse pointer and then move the selected text or word to a certain position. You drag and then drop the item to the desired place in the code. You can also copy a text from one place to another by dragging and dropping it, pressing CTRL at the same time.


 Block Selection

Block Selection

Block selection is supported by most of the common actions, which are executed with normal selection (copy, paste, indent and so on).

You can select a block by using a combination of a hotkey ALT + and the mouse pointer as shown in the figure below. When you press ALT+ you can see how the mouse pointer changes from an arrow to a cross.

Block Selection


 Code Outlining and Structuring

Code Outlining and Structuring

Code outlining gives you a better document overview and the possibility of finding errors such as unclosed structures without checking or compiling. This is similar to the compression view of code in the old ABAP Text Editor, where you could see collapsed if-endif blocks of code to quickly determine if nested constructions were properly defined.

You can also use code outlining to:

· View code in hierarchy

· Collapse/expand blocks

· Collapse to definition

· Collapse/expand multi-line comments

Showing Caption Code Outlining and Tooltip with Content from the Collapsed Area


 Inserting Code Hints

Inserting Code Hints

Use

Code hints help at runtime as you type by suggesting code templates, keywords, methods, variables and so on.

Procedure

...

1. Press Tab or choose Enter, when Code Hint is shown, to insert it into your code without typing the rest of the characters.

The following figure shows an example:

Code Hints: Editor Suggests Suitable Template.

Code Hints: Editor Suggests a Keyword

The black on white hint color indicates that one suggestion is available only. The white on black hint color indicates that more than one suggestion is available.


 User-Defined Code Templates

User-Defined Code Templates

The powerful, user-defined templates with Auto Expandfunctionality greatly simplify typing of standard constructions. The Front-End Editor supports predefined tags such as current date/time, clipboard content, and code completion.

Code templates can be inserted when a certain word is typed, for example the loop template is suggested as a codehint loop($) when you type loop. The corresponding template is inserted when you press Tab or Enter.


 Automatic Brace and Structure Matching

Automatic Brace and Structure Matching

Double-clicking on an open/closed structure tag will navigate you to the matching open/closed tag in the document. When you double click on the keyword CASE using the ALT key at the same time, you jump to the WHEN clause automatically. You can see the example with structure matching for if/endif case/when/endcase in the figure below:

Runtime Highlighting of Matched Structures when Typing

The current scope feature enables you to see the current parentheses and hierarchy scope when you navigate through the code, highlighting active bracket pairs and structures. The current scope feature also enables error highlighting (in red) of mismatched brackets as the example shows in the figure below:

Runtime Highlighting of Mismatched Brackets

Automatic brace matching gives you immediate feedback on misplaced brackets or open-ended code segments. Automatic brace matching recognizes all brackets types, quotes, and structures defined in the language specification. When you type a closing bracket, both it and its matching bracket remain highlighted until you type another key or move the cursor (the same works for open/closed structures). This makes visually identifying code blocks much easier. In addition, this may help identify mismatched or missing brackets and structures.


 Types of Word Wrap

Types of Word Wrap

Customizable word wrap helps you when working with lines that are longer than the screen width or defined page width. There are several word wrap modes available:

· By window edge as shown in the figure.

· By page width

· By page width inserting hard break.

Word Wrap by Window Edge


 Pretty Print

Pretty Print

Use

Below is a list of available runtime functions:

· Auto brackets automatically adds a closed bracket when an open bracket is typed.

· Auto indent recognizes language structures and applies the relevant spaces in front of every different structure when you type code.

· Smart tabs optimize the tab function at the beginning of the lines.

· Surround selection helps insert surrounding quotation or brackets for the selection.

· Double rate for key repeat accelerates the function of all keys.

· Format after every Paste formats inserts text according to the current indentation and adapts the case of keywords, so you do not have to do this manually.

· Caps Lock Correction determines accidental usage of CAPS LOCK key and makes corrections.

· Auto Correction helps determine errors due to mistyping and corrects them. The list of corrected words cam be extended.


 Clipboard Ring

Clipboard Ring

When text is cut or copied, the fragments are stored in an editor clipboard known as the "clipboard ring", where you can pick and choose among them and paste them back into your code. The clipboard contains up to twelve items, presented in historical sequence and moved with “last in first out” logic. This is a powerful feature for quickly copying several pieces of text to a new location, or for recalling text that you inadvertently cut. The clipboard ring can remember block selection and normal items.

You can copy a block to the clipboard by clicking with the secondary mouse button, selecting the block and choosing More Bookmarks ® Copy Append To Clipboard. CTRL+SHIFT+V opens a context menu for selecting what to paste out of the ring (Extended paste).

You can also invoke the Extended paste menu by clicking with the secondary mouse button in the code and choosing More ® Extended Paste.

Extended Paste Menu with List of Text Items in the Clipboard Ring


 Multiple Clipboard Formats

Multiple Clipboard Formats

Multiple clipboard formats are supported, such as Text, Rich Text Format, and HTML, providing the option of pasting WYSIWYG text in Microsoft Word or Microsoft Outlook, for example. The Unicode text format is supported, allowing the copying and pasting of Unicode characters.


 Find and Replace

Find and Replace

The find/replace dialog shown in the figure below has extended functionality added to common features used in the Front-End Editor:

· History dropdown boxes are available with last typed items

· Mark All function that marks all occurrences of search text in the document with bookmarks

· You can search with regular expressions

· You can perform an incremental search

Extended Find and Replace Dialog


 Incremental Search (Forward/Backward)

Incremental Search (Forward/Backward)

This allows real-time forward/backward searching through the document. When you type text, the editor searches and selects the first occurrence of the search string on a letter-by-letter basis as you type.

If you choose Incremental Search forward and type hugo, the first occurrence of hugo is shown behind the current cursor position.

With Incremental Search backward, you would find the first occurrence before the current cursor position.


 Scroll Navigation

Scroll Navigation

Scroll navigation provides information about the current position in the code as a scroll tip, displaying the current function, subroutine, class, method, and so on. It also displays the range of lines that are currently visible.

This is shown in the figure below:

Scroll Tip Displaying the Current Position in the Document


 Bookmarks

Bookmarks

The Front-End Editor supports named and unnamed bookmarks, which help with navigation and code editing.

Bookmarks

You can set up to nine numbered bookmarks and an unlimited number of bookmarks that are not marked with numbers. You do this by choosing Bookmarks ® Bookmark0 with the secondary mouse button and the mouse pointing at the Indicator margin.

You see the following screen as shown in the figure below:

Bookmarks

Once you have set up bookmarks, they appear like numbered blue flags in the Indicator margin. You can clear them all by choosing Bookmarks ® Clear All Bookmarks with the primary mouse button.

Go To Bookmarks

You can go to a different bookmark by choosing Goto Bookmarks ® Bookmark0 (the number can be set from 0 to 9). You can always jump to them by using a hotkey CTRL+ the bookmark number.

You see the following screen as shown in the figure below:

Go to Bookmarks

Toggle Bookmarks

You can toggle between bookmarks by choosing More Bookmarks ® Toggle Bookmark.

You see the following screen as shown in the figure below:

Toggle Bookmarks

You make active the following options:

· Next Bookmark with a hotkey CTRL+Mallows you to go to the next bookmark

· Previous Bookmark with a hotkey CTRL+SHIFT+M allows you to go to the previous bookmark

· Clear All Bookmarks allows you to clear all bookmarks


 Print Preview in Color

Print Preview in Color

The WYSIWYG printing style provides hard copies of documents that are more readable. Printing supports user-defined footer and header text with predefined tags and different styles. You can open a preview by using the CTRL+ALT+P.

This is shown in the figure below.

WYSIWYG Print Preview for a Document in the SAP System


 Export Functionality

Export Functionality

The Front-End Editor supports WYSIWYG export functionality for the most common text formats:

· Export to HTML

This is shown in the figure below:

HTML Export: Internet Explorer Displays Document Exported to HTML.

· Export to RTF

This is shown in the figure below:

RTF Export: Microsoft Word Displays Document Exported to Rich Text Format (RTF).

· Export to PDF

This is shown in the figure below:

PDF Export: Acrobat Reader Displays Document Exported to PDF Format.


 Different Keyboard Schemes

Different Keyboard Schemes

With user-defined keyboard schemes you can define different keyboard schemes and add preferred and multiple shortcuts for functions.


 XML Settings

XML Settings

All settings are stored in XML format, facilitating export and import to other systems.


 Option Settings

Option Settings

Purpose

This process describes how to set up your editor’s features during your work. It allows you to change different options of the editor as described in the process flow.

Prerequisites

You have started the Front-End Editor.

Process Flow

· Starting Option Settings

· Display Options

· Fonts and Colors

· Code Completion

· Code Templates

· Pretty Print Options

· Auto Correction

· Keyboard Options

· Print Options


 Starting Option Settings

Starting Option Settings

Use

You use this procedure to set the features of your editor.

Prerequisites

You have started the Front-End Editor.

Procedure

Click...

1. Click [image] Option Settings in the bottom right corner of the status bar. The following screen appears as shown in the figure below:

Option Settings

Result

You have opened the Options panel. You can start setting the features of your editor environment.


 Display Options

Display Options

Use

You can change the look of your code by specifying Display and WordWrap settings. All Display and WordWrap options may be switched on or switched off according to your preference.

· Display provides functionalities that allow you to get a good view of your work, depending on the task.

· WordWrap wraps a string to a given number of characters using a string break character.

Integration

You need to set these options in order to set your coding environment before starting to work. You may also change options as you work. Every time you need to open the Options panel you can choose [image] from the bottom right corner on the editor’s screen.

Prerequisites

You have opened the Options dialog panel. You have chosen the Display option.

You see the following screen as shown in the figure below.

Display

Features

Display

· Indicator margin provides you with visual cues for certain actions, such as breakpoints, while editing your code. It appears in the left margin in the Code view. You can hide or display the indicator margin by choosing the relevant checkbox.

· Line numbers are displayed beside each line of text. This is useful if you need to refer to specific lines in the code. When you enable this option, the coloured Line numbers appear on the left side of the editor screen, next to the Indication margin.

· Changed lines option enables you to follow all recent changes that have been made to the code. The red triangle Changed lines indicators appear on the left side of the editor screen, next to the Line numbers, when you make changes in the code.

· Collapse margin enables you to show or hide a block in the code. It appears on the left side of the editor screen, next to the Indicator margin. You can open and close blocks by clicking on the plus/minus little square.

· Page width property defines the width of your code page. You see when the line exceeds the maximum Line length setting. It is also helpful to see where WordWrap by Column Number and HardWrap will be executed.

· Structure separator is a property enabling you to use specific characters that indicate where you want to separate the code. After some of the language blocks (for example Form .... EndForm), the separator is automatically drawn. You do not need to create characters by typing ********************. You can enable this option and the separator is active.

· White space is an indentation of blank space inside the code. When you enable this option, all formatting marks such as tab characters, paragraph marks and hidden text appear in the code.

· Vertical scroll bar enables you to scroll vertically through the code. When you enable this option, the Vertical scroll bar appears on the right side of the editor’s screen.

· Horizontal scroll bar enables you to scroll horizontally through the code. When you enable this option, the Horizontal scroll bar appears at the bottom of the editor’s screen.

You don’t see it if Word-Wrap by window Edge is enabled.

· The Status bar is the box at the bottom of the editor’s screen. It can show different information. The main use of the status bar is to show the scope, active language, position of the cursor, CapsLock and NumLock mode. When you enable this option, the Status bar appears at the bottom of the editor’s screen.

· Highlight current line is a mode to highlight the line where the cursor is positioned. You can change colors of foreground (text) and background. When you enable this option, the current line is highlighted in a different colour.

· Use smooth scrolling allows a special type of scrolling to display content at a predetermined speed. When you enable, this option you can move through the code quickly and easily by scrolling up and down.

WordWrap

· Disable WordWrap allows you to disable this feature. Lines of code do not fit the editor window.

· Wrap by window edge allows the lines of the code to fit the editor window’s edge.

· Wrap after column number gives the option of limiting lines to a column number.

· Wrap after column number inserting hard break enables a break after the column number.

Maximum Line Length

This feature allows you to select a number for the maximum line length from the Up and Down arrow number list. When you select a certain number predefined the characters in line appear the same number as selected.


 Fonts and Colors

Fonts and Colors

Use

You can change the Fonts and Colors options to set a custom font and color scheme for interface elements in the coding environment.

Integration

You can set these options before starting coding or during your work. Color scheme changes do take effect during the session in which you make them.

Prerequisites

You have opened the Options dialog panel. You have chosen the Fonts and Colors option.

You see the following screen as shown in the figure below:

Fonts and Colors

Features

· Font allows you to set different types of fonts from the list. When you select a type the text appears with the font type you have set.

· Size allows you to control the size of text. The text appears with the size you have set.

· Show only monospaced fonts allows you to set the letters to take up the same horizontal space.

· You can select the Selection margin option and then choose a color from the Item foreground and Item background dropdown box. The Selection margin color changes into the one you have selected.

You can select each of the items from the checklist under Show only monospaced fonts checkbox and then set the Item foreground and Item background color for them. You can select either automatic color or custom color. When you select custom color, from the color box you have to choose one of your preferences and define it as a custom color. Another option is to select an available color from the list.

· Sample box allows you to see the color before you have set it and saved the changes for the selected items.

· Style checkboxes allow you to change the text into Bold, Italic and Underline style.


 Code Completion

Code Completion

Use

You use this option of the Front-End Editor to complete the name of any class, method, or variable that is within the current scope of visibility when completing method names. It also supports the completion of keywords available from the dictionary. Commonly-used names for fields and variables are suggested depending on their type. The completion works even when you want a field or a variable to have a specific prefix:

Integration

You need to set this feature so you can work easier and save time. Every time you need to open the Options dialog, you can choose [image] from the bottom right corner on the editor’s screen.

Prerequisites

You have opened the Options dialog. You have chosen the Code Completion option.

You see the following screen as shown in the figure below.

Code Completion

Features

· Enable current scope allows you to see scope information. When you enable this option, the current scope information appears on the left side of the status bar.

· Enable quick info allows you to see the class or the method block information. When you enable this option, a quick info box appears when you position your cursor over a block.

¡ Show tooltip on hovering, after allows you to see suggestions for code completion. When you enable this option, the hovering tooltip appears over the text when you type. It hides after the period of time you have set in milliseconds from the msec Up and Down arrow box

· Enable code hints allows you to see code suggestions and help you complete the code faster. When you enable this option, code hints appear as you type:

¡ Display hint when saving at least allows you to set the number of characters needed to be typed in order see the hint. You can set the number by choosing a figure from the char Up and Down arrow box.

¡ Automatically hide tooltips after allows you to set the time a tooltip is shown. The code tip hides after the period of time you have set in milliseconds from the msec Up and Down arrow box.

· Enable auto completion allows you to enter a few letters/words and the edit control provides a dropdown list box with suggestions for your string.

Open completion automatically after allows you to open a completion list after insertion of ->.

This feature is not implemented yet. Further information will be supplied soon.

Dictionary

Suggest keywords allows you to enable code hints and completion lists that show ABAP keywords.

Suggest non-keywords from the text allows you to enable code hints and a completion list that suggest non-keywords.


 Code Templates

Code Templates

Use

You use this function to add, edit, insert and delete code templates.

Integration

Every time you need to open the Options dialog you can choose [image] from the bottom right corner on the editor’s screen.

Prerequisites

You have opened the Options dialog. You have chosen the Code Templates option.

You see the following screen as shown in the figure below.

Code Templates

Features

· Insert tag allows you to insert variables in the code template. When you choose Insert tag you can see the following options as shown in the figure below:

Insert Tag

· Cursor Position: this variable defines where the cursor should be positioned after you insert a template

· Date Time: this variable is replaced by the current date and time

· Clipboard: this variable is replaced by the current content of the clipboard

· Surrounded Text: this variable is replaced by the current text selection

· Document Name: this is replaced by the current document’s name

· Interactive: this inserts a generic variable in the template. You can change the name between the ‘%’. See %Form name% in the example below.

Example

...

1. You can select some source code to surround it by a template.

See the following figure:

Selected Source

2. You can choose the following items from the selection context menu as shown below:

Select Context Menu

3. You are asked for the undefined template variable %Form name%.

See the following figure:

Template Parameter

You can see the content of the %Form name% variable. The selected text is inside the form routine definition, exactly where the %SurroundedText% variable was before. The cursor is behind the keyword USING.

You can see the result below:

Result


 Pretty Print Options

Pretty Print Options

Use

Pretty-printing is a process by which source code is formatted and set to programming-language-sensitive type: keywords might appear in boldface, variables might appear in italics, comments might appear in yet another style, and so on. Pretty-printed code is nicer to look at, as it helps the reader discern the components of the code.

Integration

You need this option to set your code in a basic level, where what you print is what you wrote.

Prerequisites

You have opened the Options dialog. You have chosen the Pretty Print option.

You see the following screen as shown in the figure below:

Pretty Print

Features

Case correction

· Insert keyword in allows you to complete keywords in the following styles:

¡ As typed

¡ UPPERCASE

¡ Lowercase

¡ Capitalized

Other

· Enable auto brackets allows you to set brackets to appear automatically when you type. When you set this option, brackets are applied to the code by default.

· Enable auto indent allows you to smooth the left line margin. When you set this option, each time you choose Enter, the editor automatically inserts exactly the same amount of whitespace at the start of the next line, causing the left margin to line up nicely.

· Enable smart tab allows you to complete words fast. When you set up this option and write the code you complete words by pressing tab.

· Surround with brackets, quotes allows you to complete the code lines with relevant characters. When you set this option, each time you press Enter the editor automatically inserts the relevant character (, {,[,”,’to complete the code line.

· Double rate for key repeat allows you to speed up the function of buttons. When you press and do not release navigation buttons (Arrows and Page Up and Page Down), the speed is duplicated.

· Format after every Paste allows you to realign all the lines. When you set this option, the code is formatted after every paste action.


 Auto Correction

Auto Correction

Use

If you make an error when typing code, a smart window occurs with list of suggestions for fixing the error.

Integration

You need to set this option in order to lower the number of errors that might occur when you type.

Prerequisites

You have opened the Options dialog. You have chosen Auto Correction from the tree.

You see the following screen as shown in the figure below:

Pretty Print ® Auto Correction

Features

· Correct accidental usage of CAPS LOCK key sets the CAPS status back to normal.

· Change on enter allows you to replace the wrong word with the correct one from the dictionary.

· Add allows you to add new words to the current dictionary.

· Delete allows you to delete words from the dictionary.


 Keyboard Options

Keyboard Options

Use

You can create additional keyboard shortcuts or modify the existing ones.

You can set different options of key combinations to perform a command in the code environment. You can also remove key for commands that are not needed.

Prerequisites

You have opened the Options dialog. You have chosen the Keyboard from the tree.

You see the following screen as shown in the figure below.

Keyboard

Features

You can set a command and assign a key or combination of keys to perform it. In the field Command description you can see what action will be performed. You can add a new combination of keys by selecting a command description from the list and choosing Assign. If you do not have a combination of keys assigned to this command, you can invent a new one and save it as default. If you have already assigned a combination and want to change it, you can remove the old one and assign a new one.


 Print Options

Print Options

Use

You can use this option to set printing properties of the code.

Prerequisites

You have opened the Options dialog. You have chosen Print from the tree.

You see the following screen as shown in the figure below:

Print

Features

· Header allows you to set the page number or total page number to appear at the top of the page.

· Footer allows you to set the file name and date to appear at the bottom of the page.

· Print numbers appear when printing the code.

· Wrap lines – the code fits in the page when printed.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML Help Viewer Help

Use

With the HTML Help Viewer you can view the SAP Library in file format Compiled HTML (*.CHM).

Features

The HTML Help Viewer comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files while navigating through the online help, other HTML Help Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the SAP Library, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  • Navigate in the table of contents tree structure (Contents tab)
    • To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.
    • To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML Help Viewer instance.
    • To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  • Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file. No Index tab is displayed if no index exists for the current help file.

Loading the complete SAP Library index (approx. 8 MB) can take several minutes, depending on the configuration of your PC.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no index, only full-text search is possible for them.
  • Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:
    • Use the place holder ? for single characters and * for character strings in search terms.
    • Match similar words
    • Combine search terms with the operators:
      • AND (all terms appear in the document)
      • OR (at least one of the terms appears in the document)
      • NOT (the term does not appear in the document)
      • NEAR (the terms occur close together, such as in the same sentence in the document)
    • Restrict the search to document titles (Search titles only)
    • Restrict the search to the set of documents found in the previous search (Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the HTML Help Viewer toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon [image] in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


SAP Library

These product-specifc HTML-based documents form part of the SAP Library.
To view the entire SAP Library, please go to http:\\help.sap.com.


Broken link

Error: Broken link

You tried to follow a link that points to an unknown target document.